cURL
curl --request GET \
--url https://api.trychart.com/auth/tax-payer/{id}/token \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trychart.com/auth/tax-payer/{id}/token"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trychart.com/auth/tax-payer/{id}/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_token": "<string>",
"taxpayer_id": "<string>",
"name": "<string>",
"metadata": {},
"provider_id": "irs-tax-pro",
"created_at": "2023-11-07T05:31:56Z",
"status": "TAX_AUTHORIZATION_SUBMITTED"
}Management
Get Access Token
Get the access token for a taxpayer.
GET
/
auth
/
tax-payer
/
{id}
/
token
cURL
In certain cases such as client links, you may not have access to the
access_token created for the taxpayer.
However, all Chart endpoints returning sensitive taxpayer data require an access_token.
This endpoint allows you to retrieve the access_token using your Chart client_id and client_secret.
Important: This endpoint should be used sparingly and only when absolutely necessary.
Please reach out to Chart support if you need to use this endpoint frequently.Authorizations
Please use base64 encoded client_id:client_secret. You can use this command to generate the base64 encoded string: echo -n 'client_id:client_secret' | base64
Headers
Header used to specify the version for a given API request. Current version is 2024-01-01.
Path Parameters
The Chart UUID of the taxpayer.
Response
200 - application/json
Access Token Response
Available options:
turbotax, hr, taxact, tax_slayer, jackson, free_tax_usa, irs, irs_tax_pro, pilot, cch_axcess, drake, proconnect, chart-sandbox Example:
"irs-tax-pro"
Available options:
CREATED, CONSENT_RECEIVED, TAX_AUTHORIZATION_SUBMITTED, AUTHORIZED, REJECTED, COMPLETED Example:
"TAX_AUTHORIZATION_SUBMITTED"
Was this page helpful?